SIGSETMASK(2)

NAME
sigsetmask - set current signal mask

SYNOPSIS
sigsetmask(mask);
int mask;

DESCRIPTION
Sigsetmask sets the current signal mask (those signals which are blocked from delivery). Signal i is blocked if the i-th bit in mask is a 1.

The system quietly disallows SIGKILL, SIGSTOP, or SIGCONT to be blocked.

RETURN VALUE
The previous set of masked signals is returned.

SEE ALSO
kill(2), sigvec(2), sigblock(2), sigpause(2)